# Public Configuration

## Get all public configurations

> Retrieves all configurations of index providers. The returned response contains only search keys. Write keys are not returned.

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"tags":[{"name":"Public Configuration"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"indexing.search_view":"Needed to read an index provider configuration","indexing.search_manage":"Needed to manage an index provider configuration"}}}}},"schemas":{"IndexPublicConfiguration":{"title":"IndexPublicConfiguration","type":"object","properties":{"searchKey":{"type":"string","description":"API Key used for search purposes."},"applicationId":{"type":"string","description":"Application id of an indexer provider."},"indexName":{"type":"string","description":"Identifier of an index."},"provider":{"type":"string","description":"Index provider name. Supported providers: Algolia - https://www.algolia.com","enum":["ALGOLIA"]},"active":{"type":"boolean","description":"Indicates if the configuration is active or not."}}}}},"paths":{"/indexing/{tenant}/public/configurations":{"get":{"summary":"Get all public configurations","tags":["Public Configuration"],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IndexPublicConfiguration"}}}}},"401":{"description":"Unauthorized"}},"operationId":"GET-indexing-list-public-configs","description":"Retrieves all configurations of index providers. The returned response contains only search keys. Write keys are not returned."}}}}
```

## Get public configuration

> Retrieves a single public configuration by a provider name. Currently supported providers:\
> \* Algolia - <https://www.algolia.com>

```json
{"openapi":"3.0.0","info":{"title":"Indexing Service","version":"v1"},"tags":[{"name":"Public Configuration"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":[]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"indexing.search_view":"Needed to read an index provider configuration","indexing.search_manage":"Needed to manage an index provider configuration"}}}}},"schemas":{"IndexPublicConfiguration":{"title":"IndexPublicConfiguration","type":"object","properties":{"searchKey":{"type":"string","description":"API Key used for search purposes."},"applicationId":{"type":"string","description":"Application id of an indexer provider."},"indexName":{"type":"string","description":"Identifier of an index."},"provider":{"type":"string","description":"Index provider name. Supported providers: Algolia - https://www.algolia.com","enum":["ALGOLIA"]},"active":{"type":"boolean","description":"Indicates if the configuration is active or not."}}},"errorMessage":{"title":"error","description":"Schema for API specified errors.","type":"object","properties":{"code":{"description":"Original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"status":{"description":"Classification of the error type","type":"string"},"message":{"description":"Descriptive error message for debugging","type":"string"},"details":{"type":"array","description":"Error details","items":{"type":"string"}}}}},"responses":{"Unauthorized_401":{"description":"Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"NotFound_404":{"description":"Resource has not been found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}}},"paths":{"/indexing/{tenant}/public/configurations/{provider}":{"get":{"summary":"Get public configuration","tags":["Public Configuration"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexPublicConfiguration"}}}},"401":{"$ref":"#/components/responses/Unauthorized_401"},"404":{"$ref":"#/components/responses/NotFound_404"}},"operationId":"GET-indexing-retrieve-public-config","description":"Retrieves a single public configuration by a provider name. Currently supported providers:\n* Algolia - https://www.algolia.com"}}}}
```
